sample.hpp File Reference

## Classes

struct | boost::range_const_iterator< ::ranges::v3::sample_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::sample_view< Ts... > const >()> >
struct | boost::range_mutable_iterator< ::ranges::v3::sample_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::sample_view< Ts... > >()> >
struct | boost::range_size< ::ranges::v3::sample_view< Ts... > >
struct | boost::range_size< ::ranges::v3::sample_view< Ts... > const >
struct | boost::range_value< ::ranges::v3::sample_view< Ts... > >
class | ranges::v3::sample_view< Rng, URNG >
class | ranges::v3::view::sample_fn
| Returns a random sample of a range of length `size(range)`. More...